
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>微软数据挖掘开发：模型的验证与展示 / iVAN</title>

    <meta name="description" content="微软数据挖掘开发：模型的验证与展示 验证数据挖掘模型 通常情况下,针对某个特定案例,我们不能准确定 位哪个挖掘算法是最准确的,所以我们会在一个挖掘结构中定义多个挖掘模型;通 过对多个挖掘模型的验证,得出最准确的那个. DMX(Data Mining Extension) DMX是用来从数据挖掘模型中查询数据的语言,看起来和SQL很 相似,不过这种语言学习起来很不容易(目前国内还买不到任何关于DMX的学习资 料),可能微软也意识到DMX写起来很困难推出了很多编写DMX的模板,主要针对 Model Content,Model Mana">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">微软数据挖掘开发：模型的验证与展示</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>验证数据挖掘模型</p>
<p>通常情况下，针对某个特定案例，我们不能准确定 位哪个挖掘算法是最准确的，所以我们会在一个挖掘结构中定义多个挖掘模型;通 过对多个挖掘模型的验证，得出最准确的那个。</p>
<p>DMX(Data Mining Extension)</p>
<p>DMX是用来从数据挖掘模型中查询数据的语言，看起来和SQL很 相似，不过这种语言学习起来很不容易(目前国内还买不到任何关于DMX的学习资 料)，可能微软也意识到DMX写起来很困难推出了很多编写DMX的模板，主要针对 Model Content,Model Management,Prediction Queries 和Structure Content， 依据下图读者可以到SQL Server Mangement Studio中感受DMX。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDkzMDA0NTE2My0wLmpwZw==.jpg">开发</a>：模型的验证与展示-"&gt;</p>
<p>从编程的角度来说，Prediction Queries 应该使用最多的，分享一下我自己 在写Prediction Queries的一些经验。 微软商业智能平台，SQL Server Reporting Services 是主要的报表展示平台，我们可以利用SSRS 里面提供的一 些UI界面帮助我们更好的编写DMX。现在我们需要查询哪些客户可能会买自行车， 可能购买的百分比是多少。关于怎么使用SSRS常见报表是属于这部分的内容，因 此这里直接进入 查询编辑器，如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDkzMDA0MTUwOC0xLmpwZw==.jpg"></p>
<p>我们在选择了Case table之后，挖掘模型中的列会和 case table中的列自动关联起来，之后我们可以通过简单的拖拽，将需要显示的 Mining Model Columns 或者Case Table Columns 拖到下面的Matrix中，这个时 候我们点击按钮(Switch DMX code and UI)可以切换到DMX的代码界面。目前我就 得到了一个标准DMX Prediction Query，</p>
<pre>
SELECT
t.FirstName, t.LastName,
(Predict ([Bike Buyer])) as [PredictedValue],
(PredictProbability([Bike Buyer])) as [Probability]
From
[TM Decision Tree]
PREDICTION JOIN
OPENQUERY([Adventure Works DW],
'SELECT
[FirstName],
[LastName],
[CustomerKey],
[MaritalStatus],
[Gender],
[YearlyIncome],
[TotalChildren],
[NumberChildrenAtHome],
[HouseOwnerFlag],
[NumberCarsOwned],
[CommuteDistance]
FROM
[dbo].[DimCustomer]
') AS t
ON
[TM Decision Tree].[Marital Status] = t.[MaritalStatus] AND
[TM Decision Tree].[Gender] = t.[Gender] AND
[TM Decision Tree].[Yearly Income] = t.[YearlyIncome] AND
[TM Decision Tree].[Total Children] = t.[TotalChildren] AND
[TM Decision Tree].[Number Children At Home] = t.[NumberChildrenAtHome] 

AND
[TM Decision Tree].[House Owner Flag] = t.[HouseOwnerFlag] AND
[TM Decision Tree].[Number Cars Owned] = t.[NumberCarsOwned] AND
[TM Decision Tree].[Commute Distance] = t.[CommuteDistance]</pre>
<p>在 上面代码的基础上，我们可以编辑，如我们需要利用输入参数控制显示数据;定义 参数@Buyer ,@Possible，这个时候我们可以通过添加一些简单的WHERE 条件即可 完成，如：</p>
<pre>
WHERE
　　(Predict ([Bike Buyer]))=@Buyer AND
　　PredictProbability([Bike Buyer]) &gt; @Possible</pre>
<p>当然通过改 变PREDICTION JOIN，我们也可以去掉一些对Predictable column 影响不大的 attributes。</p>
<p>是不是感觉比从零开始写起DMX容易了很多？</p>
<p>挖掘结 果展示</p>
<p>上面提到SQL Server Reporting Services 是微软商业智能平台首 选报表展示平台，但是并不意味我们必须使用它来展示报表，我们也可以利用 asp.net(C#/VB.net + ADOMD.net + DMX ),甚至是Excel(SQL Server 2005/2008 插件) 连接数据挖掘模型所在的SQL Server实例进行挖掘结果的展示。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索报表<br />
                    ，                微软<br />
                    ，                数据挖掘<br />
                    ，                模型<br />
                                    tree<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 11:12:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%be%ae%e8%bd%af/" title="微软">微软</a>, <a href="https://www.iamivan.net/tag/%e6%8a%a5%e8%a1%a8/" title="报表">报表</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9e%8b/" title="模型">模型</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e6%8c%96%e6%8e%98/" title="数据挖掘">数据挖掘</a>, <a href="https://www.iamivan.net/tag/tree/" title="tree">tree</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>微软数据挖掘开发：模型的验证与展示的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmPJRM.html" rel="bookmark">C&num; web 开发 MVC 模型数据验证 必填项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C# web 开发 MVC 模型数据验证 必填项 问题是: 在开发网站的时候.有一个页面是增加产品和编辑产品共用. 为了在编辑的时候.方便ID的获取.在页面上添加隐藏的绑定模型的控件. 在后台数据验证端.该字段并没有设置必填.而前台页面却提示必填.导致没法进行. input class=&quot;input-validation-error&quot; data-val=&quot;true&quot; data-val-number=&quot;字段 PlaProductId 必须是一个数字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMA7A2z.html" rel="bookmark">软件工程中的开发模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				软件工程的开发模型:(自学材料总结) 1.瀑布模型,该模型是以文档作为驱动,一级一级的进行的开发,每一个阶段完成都会有一个文档产生,根据该文档在进行下一个阶段的开发,在开发过程中,用户看不见系统式什么样,只有开发完成的时候,系统才会整体提交. 优点:适合于功能和性能明确.完整.无重大变化的软件开发.大部分系统软件具有这些特性.   缺点:缺乏对付变化(这里的变化既有客户需求的变化,也有开发时技术的变化)的机制,使得开发完成后对软件升级维护带来较大的困难.缺乏灵活性,无法解决需求不明确模糊这样的问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbK9nEp.html" rel="bookmark">九月份精彩网络讲座让您深入了解微软最新开发技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网络|微软 最新开发技术发布日期: 8/19/2004 | 更新日期: 8/19/2004ASP.NET系列讲座让您深入接触Web应用开发 SharePoint Portal 开发讲座给您揭秘门户开发秘籍 深入浅出的讲解如何构建Windows Server 2003应用 请按以下步骤参加讲座: 第一步:获得账号.用此账号您可以参加微软在线的任何讲座.(已经注册账号的用户请进入第二步).请提供真实注册信息,以便我们会有赠品.资料等邮寄给大家.提交注册信息后,您即会收到注册确认邮件.如果注册信息经核			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7XgOz.html" rel="bookmark">【软考点点】软件开发模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    软件开发模型是软考上午题中必考的一个知识点.给出一定的条件,让我们判断属于哪一种开发模型.     典型的软件过程模型有瀑布模型.增量模型.演化模型(原型模型.螺旋模型).喷泉模型.基于构件的开发模型和形式化方法模型.下面我们一一来看看: --------------------------------------知识点积累------------------------------------------    [瀑布模型]     1.定义:将软件生存周期中的各个活动规定为依线性顺序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkAOq1b.html" rel="bookmark">《BI那点儿事》数据挖掘各类算法&mdash;&mdash;准确性验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:&lt;BI那点儿事&gt;数据挖掘各类算法--准确性验证 准确性验证示例1:--基于三国志11数据库 数据准备: 挖掘模型:依次为:Naive Bayes 算法.聚类分析算法.决策树算法.神经网络算法.逻辑回归算法.关联算法提升图: 依次排名为: 1. 神经网络算法(92.69% 0.99)2. 逻辑回归算法(92.39% 0.99)3. 决策树算法(91.19% 0.98)4. 关联算法(90.60% 0.98)5. 聚类分析算法(89.25% 0.96)6. Naive Bayes 算法(87			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boJZGdz.html" rel="bookmark">微软的开发革命：从桌面到云计算</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				个人电脑的统治时代业已结束,敢于尝鲜的用户已经能通过网络,免费获得诸如谷歌的企业级在线应用服务,微软因此备感压力.特别在经济不景气时期,用户自然会衡量这些选择的优劣,使微软不得不对过去&quot;购买许可&quot;的传统商业模式进行反思. 按照&quot;软件+服务&quot;的战略,微软于2008年11月发布了云计算平台WindowsAzure,这个平台与遍布世界各地的巨型数据中心和网络一起构成全球化的平台基础.微软的客户.合作伙伴以及广大开发人员可以按照&quot;随用随付费&quot;的方式,在A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ7x6Bb.html" rel="bookmark">今天微软的开发平台到底是什么样子的？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				尽管现在的&quot;微软平台&quot;的含义已经与往日大相径庭,但微软在纽约举办Connect 2016大会为开发人员制定了针对其平台的计划. 今天的口号是&quot;任何开发人员,任何应用程序,任何平台&quot;,而几年前的主题是&quot;Windows无处不在&quot;. Connect大会属于微软的开发人员部门,与由Windows部门举办的Build活动不同.因此,大会上的主题演讲也不那么关注Windows操作系统的开发. 微软同Windows的关系变得复杂.一方面,它有一个Windows			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0jw3p.html" rel="bookmark">微软全球开发大会BUILD 2012今秋举行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微软全球开发大会2012开幕之前微软通过MWC 2012阐述了关于下一代视窗操作系统的一些 雏形,并且公开展示了Windows 8的消费者预览版.最近微软确认了会在10月26日发布Windows 8零售版.另外,本年度最大的开发者大会BUILD 2012将于十月底在微软总部园区举行.会议从10月30日延续到11月2日.微软希望能够借着Windows8发布的人气.按照计划,微软将会在10月26日正式对外发行新版操作系统Windows8.全球开发者将在这次大会上向微软提出有关Windows8开发的种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RvGrp.html" rel="bookmark">基于UML柔性开发模型之Java设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一. 面向对象技术与UML语言 与传统的结构化软件开发技术不同,面向对象技术提出了对象的封装.继承.多态性.对象的覆盖等方法,而传统的程序表示方法(如:框图.NS图等),无法对面向对象这些新的特性加以描述表达.因此,面向对象技术的表达.面向对象技术的方法论也是面形对象技术必不可少的研究内容之一. 面向对象方法论从1986年Booch率先提出后,至今已有50种以上的方法论出现,常见的有Rumbaugh的对象模型技术OMT.Booch以及Yourdon的面向对象分析与设计(OOA/OOD).Jaco			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boKwdb.html" rel="bookmark" class="title">Photoshop调出草地美女照片流行的欧美粉褐色</a>
					<div>
						粉褐色也是影楼中应用比较广泛的颜色,尤其适合外景人物图片.这种颜色感觉非常朦胧,柔美,淡淡的粉色非常有吸引力.调色大致分为两部分来完成:一部分是主色调整,一部分就是朦胧高光的渲染. 原图 &lt;点小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8evPz.html" rel="bookmark" class="title">用裸设备来提高Oracle数据库的性能</a>
					<div>
						你需要知道这样一个事实:磁盘I/O是影响Oracle数据库性能的一个重要原因.就本质来说,任何Oracle数据库负责存储数据,从磁盘中查询数据是非常昂贵和费时的操作. 由于许多Oracle系统需要大量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXkvWM.html" rel="bookmark" class="title">Response&period;redirect实现页面重定向</a>
					<div>
						redirect|response|页面 用 Redirect 方法可将浏览器重定向到另一个 URL,而不是将内容发送给用户.例如,如果您想确认用户是否已从主页进入了您的应用程序,以便能收到一个客户  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgAnAz.html" rel="bookmark" class="title">交互设计分析&colon;儿童互联网产品设计分析</a>
					<div>
						文章描述:交互设计分析:儿童互联网产品设计分析. 本文内容总结于&lt;儿童心理学&gt;和凯瑟琳·费希尔的&lt;儿童产品设计攻略&gt;,非常好的一本书. 2-3岁儿童产品的设计 这个年龄段的儿童 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZXeOM.html" rel="bookmark" class="title">在FLASH里做字做圆型轨迹运动</a>
					<div>
						轨迹 1:随便新建个场景 在场景里随便写个字 我这里写的是 1 2:单击键盘 Q 或者工具里的 任意变形工具 3:把中心点拖到下面的位置(是以中心点的位置做运动) 4:CTRL+T 叫出 变形工具 5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmWRDb.html" rel="bookmark" class="title">SharePoint 2013开发入门：定义站点模板</a>
					<div>
						SharePoint站点模板是一个非常好的功能,方便我们开发一类网站,然后在此基础上做二次开发,对于SharePoint的使用,有着举足轻重的作用. 因为篇幅比较长,所以加上目录,方便大家查看: 一. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balmWXz.html" rel="bookmark" class="title">布线时的注意事项</a>
					<div>
						为了更顺畅的享受网络,布线时需注意如下事项: 1.硬件 要兼容在网络设备选择上,尽量使所有网络设备都采用一家公司的产品,这样可以最大限度地减少高端与低端甚至是同等级别不同设备间的不兼容问题.而且不要为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkmGab.html" rel="bookmark" class="title">如何安装Windows8系统的媒体中心</a>
					<div>
						  操作步骤 在搜索框中输入添加功能,然后点击或单击将功能添加到Windows8. 点击或单击我已购买产品密钥. 输入以下产品密钥:MBFBV-W3DP2-2MVKN-PJCQD-KKTF7,然后单击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmgNdz.html" rel="bookmark" class="title">如何使用win7电脑的内置字符编辑程序？</a>
					<div>
						  之前,小编经常看到有朋友使用一些奇怪的字体,虽然有些字的写法不是很正规,但是中国比较聪明,人字认半边,也总是可以将字认出来的,这些字虽然错误且难写,但是不得不承认,却看起来非常的创意,用年轻人的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkZ4Wb.html" rel="bookmark" class="title">二维码生成器怎么用</a>
					<div>
						  彩色二维码生成器是一款二维码生成器软件.该软件内容支持中文,并且还能够使用utf-8编码,对于一般扫描的二维码软件都可以进行识别.软件完全可以免费使用,具有简洁友好的操作界面,使用方法简单易上手. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa0qRM.html" rel="bookmark" class="title">win2003添加自定义用户设置</a>
					<div>
						  运行Sysprep.exe时,有些用户设置无法被捕获到.reg文件中并在安装程序完成时应用,深度系统而且也无法为这些设置编写脚本并将 它们应用于所有新用户.要解决此问题,请在运行Sysprep.e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7ke3b.html" rel="bookmark" class="title">阿里云异构计算产品家族亮相，为人工智能提供全球加速能力</a>
					<div>
						计算正推动着人工智能更大规模的爆发. 9月12日,阿里云宣布推出全新一代异构加速平台,为人工智能产业提供多场景化的全球加速能力. 这是阿里云异构计算家族首次亮相,涵盖GPU.FPGA在内等6款异构实例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lEE9b.html" rel="bookmark" class="title">Qt之模型&sol;视图（自定义按钮）</a>
					<div>
						简述 衍伸前面的章节,我们对QTableView实现了数据显示.自定义排序.显示复选框.进度条等功能的实现,本节主要针对自定义按钮进行讲解,这节过后,也希望大家对自定义有更深入的了解,在以后的功能开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx91Wb.html" rel="bookmark" class="title">zendStudio&vert;Eclipse 相关收藏</a>
					<div>
						安装和配置Zend浏览器工具栏_网页学习网 更改Zend Studio/Eclipse代码风格主题 | 王晔的流水账 Zend Studio8注册码 - @随~风@的日志 - 网易博客 Eclipse ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAX7eM.html" rel="bookmark" class="title">Wow&comma; Mangos登录时的SRP6认证</a>
					<div>
						以Mangos代码为参考, 解析SRP6的原理和实现. (转载请注明来源于金庆的专栏) SRP全称Secure Remote Password(安全远程密码),是一个开源认证协议. SRP简化后的原理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWLO5z.html" rel="bookmark" class="title">linux安装jboss之后，浏览器访问localhost&colon;8080：提示&OpenCurlyDoubleQuote;连接被拒绝&rdquo;，是啥情况？</a>
					<div>
						问题描述 linux安装jboss之后,浏览器访问localhost:8080:提示&quot;连接被拒绝&quot;,是啥情况? RT linux安装jboss之后,浏览器访问localhost:8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0QnQM.html" rel="bookmark" class="title">redis-怎么实现spring Security实现集群间共享session？？？</a>
					<div>
						问题描述 怎么实现spring Security实现集群间共享session??? 2C spring security中,怎么把共享的session存入到redis中去? protected voi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRKJ3p.html" rel="bookmark" class="title">积累的VC编程小技巧之组合框</a>
					<div>
						1.如何正确的得到ComBox的指针 CComboBox *mComb = (CComboBox*)GetDlgItem(IDC_DuanCB); CComboBox *mComb = (CCombo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPklG0M.html" rel="bookmark" class="title">全球140家银行感染Duqu 2&period;0，隐藏6个月无人发现</a>
					<div>
						本文讲的是全球140家银行感染Duqu 2.0,隐藏6个月无人发现, 两年前,卡巴斯基实验室的安全研究员发现他们的公司网络感染了一个他们从来没有见过的恶意程序.这种恶意程序只存在于被感染设备的内存中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnwoOM.html" rel="bookmark" class="title">C&num; 导入EXCEL</a>
					<div>
						问题描述 单元格中的内容,有的有删除线,有的没有删除线,如何区别导入JDBC导入,NPOI,OFFICECOM组件,都试了,貌似都不行有什么方法?谢谢! 解决方案 本帖最后由 xzg1109 于 20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4ekGNb.html" rel="bookmark" class="title">用C&num;开发局域网内运行的小型MIS系统</a>
					<div>
						问题描述 最近在帮朋友开发一个局域网内使用的小MIS,系统包括多个客户端,数据库采用SQL2000,系统结构分了三层:数据访问,UI,商业逻辑.以前曾经使用PB,Delphi开发类似的系统,记忆最深的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeknlM.html" rel="bookmark" class="title">各位牛人兄弟 eclipse的运行问题？？</a>
					<div>
						问题描述 我下来了英文版的,每次运行总是出来什么配置的东西怎么办看不懂不会配置,还没有汉化包求助 解决方案 解决方案二:是不是更新的东西?不用管它就行了...解决方案三:实在看不懂就汉化一下吧网上有很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL8WRM.html" rel="bookmark" class="title">国内顶级网络安全对抗赛精彩攻防</a>
					<div>
						5月25日至26日,2016中国网络安全年会(第13届)在成都召开,来自工业和信息化部.国防部.科技部.公安部.人社部.交通运输部.中国人民银行.四川省政府等单位的领导和专家,国内金融和电力等重要信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZV2mz.html" rel="bookmark" class="title">WebApi&plus;Bootstrap&plus;KnockoutJs打造单页面程序&lowbar;javascript技巧</a>
					<div>
						一.前言 在前一个专题快速介绍了KnockoutJs相关知识点,也写了一些简单例子,希望通过这些例子大家可以快速入门KnockoutJs.为了让大家可以清楚地看到KnockoutJs在实际项目中的应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZVk7z.html" rel="bookmark" class="title">JavaScript代码应该放在HTML代码哪个位置比较好？&lowbar;javascript技巧</a>
					<div>
						在哪里放置 JavaScript 代码? 通常情况下,JavaScript 代码是和 HTML 代码一起使用的,可以将 JavaScript 代码放置在 HTML 文档的任何地方.但放置的地方,会对  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qd3qp.html" rel="bookmark" class="title">推荐11款jQuery开发的复选框和单选框美化插件&lowbar;jquery</a>
					<div>
						作者:Chris Spooner翻译:Terry li - GBin1.com英文: jQuery Plugins for Styling Checkbox &amp; Radio Buttons w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnLmqp.html" rel="bookmark" class="title">ado&period;net里，参数名称对大小写是否敏感？</a>
					<div>
						问题描述 https://msdn.microsoft.com/zh-cn/library/vstudio/system.data.sqlclient.sqlparameter(v=vs.100).a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8NZjb.html" rel="bookmark" class="title">&period;net人员的薪水？</a>
					<div>
						问题描述 .net人员的薪水? 解决方案 解决方案二:我只能告诉你.asp也有1w+的解决方案三:那天盖茨赚了26亿美元是全世界历史上一天内赚最多的人					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvK1VM.html" rel="bookmark" class="title">惠普辞退孕期女工获支持</a>
					<div>
						法院一审认定女工旷工,惠普无须支付工资及补偿金:女工上诉 本报讯 (记者张太凌 通讯员 王丽英)祖女士怀孕期间被辞退,劳动仲裁要求资方(惠普)支付其被辞当月工资.对此双方都不满,互相将对方告上法院.朝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn48Krb.html" rel="bookmark" class="title">淘宝网分拆的幕后玄机</a>
					<div>
						6月16日,支付宝牌照风波还旧未消停,互联网业界关于VIE架构(协议控制)以及契约精神的争鸣也还没有告一段落,但马云执掌的阿里巴巴集团却又开始了新的大动作:分拆淘宝网,大淘宝转为大阿里. 淘宝网被一拆 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
